### Method

# FwupdPlugin I2cDevice set_address

since: 2.0.0

#### Declaration [src]

    gboolean
    fu_i2c_device_set_address (
      FuI2cDevice* self,
      guint8 address,
      gboolean force,
      GError** error
    )

#### Description [src]

Sets the I²C device address.

Available since: 2.0.0

#### Parameters

`address`

  Type: `guint8`

  Address.

`force`

  Type: `gboolean`

  Force the address, even if the device is device is busy (typically with a kernel driver).

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.